------------------------------------------------------------------------------------
--Name:  	xiaolong7
--Creator:	由剧情表现脚本编辑器生成
--Created:	2022-12-07
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(222, 260)
CppScriptMgr:SetViewScale(180)
local Player_1 = CppScriptMgr:AddSimplePlayer(1056037, 222, 260, "", 0, 0)
Player_1:SetZoomPercent(150)
Player_1:SetDir(7)
local Player_2 = CppScriptMgr:AddSimplePlayer(17591, 234, 256, "", 0, 0)
Player_2:SetDir(1)
Player_2:SetZoomPercent(110)
local effect_0 = CppScriptMgr:AddEffect("map_lxljx1", 234, 256, 33, 1, 1, 1)
local monster_0 = CppScriptMgr:AddPlayer(195, 214, 268, "", 0, 0)
monster_0:SetZoomPercent(200)
monster_0:SetDir(5)
CppScriptMgr:WaitMilSec(500)
Player_1:SetAction(101)
local Effect_1 = CppScriptMgr:AddEffect("xuanyuan_skill4xh", 222, 260, 33, 1, 1, 1)
local Effect_2 = CppScriptMgr:AddEffect("5fire", 222, 260, 33, 1, 1, 1)
monster_0:SetAction(401)
CppScriptMgr:WaitMilSec(740)
local Effect_5 = CppScriptMgr:AddEffect("Aspirit_long", 222, 260, 33, 1, 1, 1)
local Effect_6 = CppScriptMgr:AddEffect("xuanyuan_skill3", 222, 260, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(240)
Player_1:AddEffect("KillerPattern", 33)
Player_1:SetAction(160)
Player_1:Say("No! I cannot be defeated!", 2000)
CppScriptMgr:WaitMilSec(150)
CppScriptMgr:ShakeScrEffect(1)
ChangeNpcZoom(Player_1, 120, 50, 1, 33)
CppScriptMgr:WaitMilSec(1830)
Player_1:SetAction(101)
CppScriptMgr:WaitMilSec(1770)